### Method

# EDataServer SourceWebdav get_resource_query

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_webdav_get_resource_query (
      ESourceWebdav* extension
    )

#### Description [src]

Returns the URI query required to access a resource on a WebDAV server.

This is typically used when the `ESourceWebdav:resource-path` points not to the resource itself but to a web program that generates the resource content on-the-fly. The `ESourceWebdav:resource-query` holds the input values for the program.

Available since: 3.6

Gets property | `EDataServer.SourceWebdav:resource-query`

#### Return value

Type: `const gchar*`

The query to access a WebDAV resource.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.